[3.2] Fehler beim Zugriff auf Erweiterungen

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.2 und höher und die Konvertierung zu phpBB 3.3.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.3] oder [3.2] angeben
Antworten
Wecki
Mitglied
Beiträge: 19
Registriert: 06.01.2020 16:30

[3.2] Fehler beim Zugriff auf Erweiterungen

Beitrag von Wecki »

Moinsen und frohes Neues.

Habe ein Board übernommen welches ich nun von der 3.0er auf die 3.2 geupdatet habe.

Nun bekomme ich unter "Erweiterungen" folgende Fehlermeldung:
Allgemeiner Fehler
Kann Modul ./../includes/acp/acp_classifieds.php nicht finden

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/includes/functions_module.php
LINE: 573
CALL: trigger_error()

FILE: [ROOT]/adm/index.php
LINE: 82
CALL: p_master->load_active()
Somit habe ich keine Möglichkeit, Erweiterungen im Board aufzunehmen bzw zu installieren. Jemand eine Idee woran das liegen kann?

Ich vermute das es mit einem Kleinenzeigen MOD zusammenhängt, der früher mal installiert war, den ich vorm Update aber eigentlich entfernt hatte.

Vielleicht hat von euch ja wer eine Idee. Danke :-)

Benutzeravatar
Kirk
Supporter
Supporter
Beiträge: 6779
Registriert: 24.05.2010 08:31
Kontaktdaten:

Re: [3.2] Fehler beim Zugriff auf Erweiterungen

Beitrag von Kirk »

Hallo
Wie bist du bei einem Update vorgegangen? Hier nochmal eine Anleitung.

Wecki
Mitglied
Beiträge: 19
Registriert: 06.01.2020 16:30

Re: [3.2] Fehler beim Zugriff auf Erweiterungen

Beitrag von Wecki »

Hi Kirk, genau nach der Anleitung.
Es funktioniert auch alles, nur der Fehler bei den Erweiterungen ist vorhanden. 🤔

Benutzeravatar
Kirk
Supporter
Supporter
Beiträge: 6779
Registriert: 24.05.2010 08:31
Kontaktdaten:

Re: [3.2] Fehler beim Zugriff auf Erweiterungen

Beitrag von Kirk »

Anscheinend sind noch Reste von einem Mod vorhanden, bist du dir sicher das du beim Update das manuelle Upgrade gemacht hast?
Gehe nochmal alle Schritte durch.

Wecki
Mitglied
Beiträge: 19
Registriert: 06.01.2020 16:30

Re: [3.2] Fehler beim Zugriff auf Erweiterungen

Beitrag von Wecki »

Hi Udo,
ich bin die empfohlende Methode 1 mit dem manuellen Update durch gegangen.

Zum Einsatz kommt bei mir PHP Version 7.0.33-14 + ubuntu16.04

Es läuft nur das Prosivler Style, Captchas nur das Standard Captcher mit einer Frage, welche beantwortet werden muss.

Das STK ist auch durchgelaufen und hat einige Änderungen vorgenommen.

Wie im verlinkten Beitrag von dir die Ordner gelöscht.

Danach das Installtool durchlaufen lassen.

Auch den Board Cache im Admin Menü habe ich gelöscht sowie meinen Browser-Cache.

Kann das STK noch mal drüber laufen lassen, wenn es Sinn machen sollte.

Danke :-)

Benutzeravatar
Kirk
Supporter
Supporter
Beiträge: 6779
Registriert: 24.05.2010 08:31
Kontaktdaten:

Re: [3.2] Fehler beim Zugriff auf Erweiterungen

Beitrag von Kirk »

Das STK für 3.2 gibt es hier, du könntest das hier noch machen Modul Reste entfernen.

Wecki
Mitglied
Beiträge: 19
Registriert: 06.01.2020 16:30

Re: [3.2] Fehler beim Zugriff auf Erweiterungen

Beitrag von Wecki »

Die einzigen Einträge im ACP unter System -> Modul Konfiguration -> Administratinsbereich -> Erweiterungen sind folgende
CP -> Erweiterungen
Modul ACP_CLASSIFIEDS_INDEX_TITLE Deaktivieren Nach oben Nach unten Ändern Löschen
Modul ACP_CLASSIFIEDS_CATS_TITLE Deaktivieren Nach oben Nach unten Ändern Löschen
Modul ACP_CLASSIFIEDS_MANAGE_TITLE Deaktivieren Nach oben Nach unten Ändern Löschen
Modul ACP_CLASSIFIEDS_PURGE_TITLE Deaktivieren Nach oben Nach unten Ändern Löschen
Modul ACP_CLASSIFIEDS_BLOCKS_TITLE Deaktivieren Nach oben Nach unten Ändern Löschen
Modul ACP_CLASSIFIEDS_RULES_TITLE Deaktivieren Nach oben Nach unten Ändern Löschen
Denke aber die sind normal oder?



Ahso das VigLink Modul ist installiert, aber das hat ja die 3.2.8er Version selbst mitgebracht.
HAbe es auch mal deaktiviert, aber keine Änderung.

In der DB steht unter phpbb_modules:
ACP_CAT_GENERAL

ACP_QUICK_ACCESS

ACP_BOARD_CONFIGURATION

ACP_CLIENT_COMMUNICATION

ACP_SERVER_CONFIGURATION

ACP_CAT_FORUMS

ACP_MANAGE_FORUMS

ACP_FORUM_BASED_PERMISSIONS

ACP_CAT_POSTING

ACP_MESSAGES

ACP_ATTACHMENTS

ACP_CAT_USERGROUP

ACP_CAT_USERS

ACP_GROUPS

ACP_USER_SECURITY

ACP_CAT_PERMISSIONS

ACP_GLOBAL_PERMISSIONS

ACP_FORUM_BASED_PERMISSIONS

ACP_PERMISSION_ROLES

ACP_PERMISSION_MASKS

ACP_CAT_CUSTOMISE

ACP_STYLE_MANAGEMENT

UCP_AUTH_LINK_MANAGE

ACP_CAT_MAINTENANCE

ACP_FORUM_LOGS
Wenn ich im STK die Modul Konfiguration neuaufbauen will sagt er, keines der Module wurde entfernt oder beschädigt und ist grün.
Auch bei einer ReparaturInstallation findet er nichts.

Automatisch dem Beitrag hinzugefügt nach 5 Minuten 39 Sekunden. Bitte Regel für „Topic-Bumping“ beachten. Danke.

Alternativ, würde ein Update auf 3.3.0 ggf. etwas bringen? Oder lieber erstmal gucken das ich es unter 3.2.8 zum laufen bekomme?!

Benutzeravatar
Kirk
Supporter
Supporter
Beiträge: 6779
Registriert: 24.05.2010 08:31
Kontaktdaten:

Re: [3.2] Fehler beim Zugriff auf Erweiterungen

Beitrag von Kirk »

Du kannst in dem von dir gepostet Bereich alles löschen was mit CLASSIFIEDS zu tun hat, das sind noch Überreste vom Mod.
Mache aber vorher zur Sicherheit ein Backup.

Wecki
Mitglied
Beiträge: 19
Registriert: 06.01.2020 16:30

Re: [3.2] Fehler beim Zugriff auf Erweiterungen

Beitrag von Wecki »

Hallo Udo,

danke, habe die erstmal deaktiviert. Nun ist der Registerpunkt Erweiterungen verschwunden. Werde mal eine neue Erweiterung installieren und gucken was passiert.

Danke :-)

Antworten

Zurück zu „Support-Forum“